| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxQueryLayoutInfoEvent Class Reference
Events

`#include <wx/laywin.h>`

Inheritance diagram for wxQueryLayoutInfoEvent:
[legend]

## Detailed Description

This event is sent when wxLayoutAlgorithm wishes to get the size, orientation and alignment of a window.

More precisely, the event is sent by the OnCalculateLayout handler which is itself invoked by wxLayoutAlgorithm.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxQueryLayoutInfoEvent& event)

Event macros:

- EVT_QUERY_LAYOUT_INFO(func):
  Process a `wxEVT_QUERY_LAYOUT_INFO` event, to get size, orientation and alignment from a window.

##

Library: wxAdvanced
Category: Events

See Also
  wxCalculateLayoutEvent, wxSashLayoutWindow, wxLayoutAlgorithm.

## Public Member Functions

| wxQueryLayoutInfoEvent (wxWindowID id=0)
| Constructor.
wxLayoutAlignment | GetAlignment () const
| Specifies the alignment of the window (which side of the remaining parent client area the window sticks to).
int | GetFlags () const
| Returns the flags associated with this event.
wxLayoutOrientation | GetOrientation () const
| Returns the orientation that the event handler specified to the event object.
int | GetRequestedLength () const
| Returns the requested length of the window in the direction of the window orientation.
wxSize | GetSize () const
| Returns the size that the event handler specified to the event object as being the requested size of the window.
void | SetAlignment (wxLayoutAlignment alignment)
| Call this to specify the alignment of the window (which side of the remaining parent client area the window sticks to).
void | SetFlags (int flags)
| Sets the flags associated with this event.
void | SetOrientation (wxLayoutOrientation orientation)
| Call this to specify the orientation of the window.
void | SetRequestedLength (int length)
| Sets the requested length of the window in the direction of the window orientation.
void | SetSize (const wxSize &size)
| Call this to let the calling code know what the size of the window is.
Public Member Functions inherited from wxEvent
| wxEvent (int id=0, wxEventType eventType=wxEVT_NULL)
| Constructor.
virtual wxEvent * | Clone () const =0
| Returns a copy of the event.
wxObject * | GetEventObject () const
| Returns the object (usually a window) associated with the event, if any.
wxEventType | GetEventType () const
| Returns the identifier of the given event type, such as `wxEVT_BUTTON`.
virtual wxEventCategory | GetEventCategory () const
| Returns a generic category for this event.
int | GetId () const
| Returns the identifier associated with this event, such as a button command id.
wxObject * | GetEventUserData () const
| Return the user data associated with a dynamically connected event handler.
bool | GetSkipped () const
| Returns true if the event handler should be skipped, false otherwise.
long | GetTimestamp () const
| Gets the timestamp for the event.
bool | IsCommandEvent () const
| Returns true if the event is or is derived from wxCommandEvent else it returns false.
void | ResumePropagation (int propagationLevel)
| Sets the propagation level to the given value (for example returned from an earlier call to wxEvent::StopPropagation).
void | SetEventObject (wxObject *object)
| Sets the originating object.
void | SetEventType (wxEventType type)
| Sets the event type.
void | SetId (int id)
| Sets the identifier associated with this event, such as a button command id.
void | SetTimestamp (long timeStamp=0)
| Sets the timestamp for the event.
bool | ShouldPropagate () const
| Test if this event should be propagated or not, i.e. if the propagation level is currently greater than 0.
void | Skip (bool skip=true)
| This method can be used inside an event handler to control whether further event handlers bound to this event will be called after the current one returns.
int | StopPropagation ()
| Stop the event from propagating to its parent window.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Additional Inherited Members

Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxEvent
int | m_propagationLevel
| Indicates how many levels the event can propagate.

## Constructor & Destructor Documentation

wxQueryLayoutInfoEvent::wxQueryLayoutInfoEvent | ( | wxWindowID | id = `0` | ) |

Constructor.

## Member Function Documentation

wxLayoutAlignment wxQueryLayoutInfoEvent::GetAlignment | ( |  | ) | const

Specifies the alignment of the window (which side of the remaining parent client area the window sticks to).

One of wxLAYOUT_TOP, wxLAYOUT_LEFT, wxLAYOUT_RIGHT, wxLAYOUT_BOTTOM.

int wxQueryLayoutInfoEvent::GetFlags | ( |  | ) | const

Returns the flags associated with this event.

Not currently used.

wxLayoutOrientation wxQueryLayoutInfoEvent::GetOrientation | ( |  | ) | const

Returns the orientation that the event handler specified to the event object.

May be one of wxLAYOUT_HORIZONTAL, wxLAYOUT_VERTICAL.

int wxQueryLayoutInfoEvent::GetRequestedLength | ( |  | ) | const

Returns the requested length of the window in the direction of the window orientation.

This information is not yet used.

wxSize wxQueryLayoutInfoEvent::GetSize | ( |  | ) | const

Returns the size that the event handler specified to the event object as being the requested size of the window.

void wxQueryLayoutInfoEvent::SetAlignment | ( | wxLayoutAlignment | alignment | ) |

Call this to specify the alignment of the window (which side of the remaining parent client area the window sticks to).

May be one of wxLAYOUT_TOP, wxLAYOUT_LEFT, wxLAYOUT_RIGHT, wxLAYOUT_BOTTOM.

void wxQueryLayoutInfoEvent::SetFlags | ( | int | flags | ) |

Sets the flags associated with this event.

Not currently used.

void wxQueryLayoutInfoEvent::SetOrientation | ( | wxLayoutOrientation | orientation | ) |

Call this to specify the orientation of the window.

May be one of wxLAYOUT_HORIZONTAL, wxLAYOUT_VERTICAL.

void wxQueryLayoutInfoEvent::SetRequestedLength | ( | int | length | ) |

Sets the requested length of the window in the direction of the window orientation.

This information is not yet used.

void wxQueryLayoutInfoEvent::SetSize | ( | const wxSize & | size | ) |

Call this to let the calling code know what the size of the window is.